%define prefix /usr
Name: okle
Summary: KDE frontend for ogle
Version: 0.4
Release: 2mdk
Source: %{name}-%{version}.tar.gz
Group: Video
BuildRoot: /var/tmp/build-root-%{name}
License: GPL
Url: http://okle.sourceforge.net/
Vendor:  Martin Piskernig <martin.piskernig@univie.ac.at>
Packager: Gerald Teschl <gerald.teschl@univie.ac.at>
Requires: ogle >= 0.9.2
%description
oKle is a KDE DVD player based on the Ogle DVD engine.

%prep
rm -rf %{buildroot}

%setup -q

%build
make -f Makefile.cvs
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

cd $RPM_BUILD_ROOT

find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}


# Mandrake Menu entrys
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="x11" section="Multimedia/Video" title="oKle" \
longtitle="KDE DVD player" command="/usr/bin/okle" icon="okle.png" terminal="false"
EOF

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc README
%defattr(-,root,root,0755)
%{_menudir}/okle

%post
%update_menus
		
%postun
%clean_menus


%changelog
* Fri Apr 30 2004 Zdenko Podobný <zdpo@mailbox.sk>
- adjustment spec file to mandrake style
- added Slovak translation
- release info set to 2mdk
* Sun Nov 30 2003 Martin Piskernig <martin.piskernig@univie.ac.at>
- change Makefile.dist to Makefile.cvs
* Sun Aug 10 2003 Martin Piskernig <martin.piskernig@univie.ac.at>
- version increased to 0.4
- changed description string
- requires ogle >= 0.9.2
* Tue Dec 31 2002 Martin Piskernig <martin.piskernig@univie.ac.at>
- added make -f Makefile.dist to %build
* Sat Nov 02 2002 Martin Piskernig <martin.piskernig@univie.ac.at>
- added Packager tag
- increased version
- changed description
- fixed changelog date
* Tue Oct 01 2002 Gerald Teschl <gt@esi.ac.at>
- inital spec

